import type { SmokerError } from './error';
import { PackOkEventData, InstallEventData, RunScriptsBeginEventData, RunScriptsFailedEventData, RunScriptsOkEventData, RunScriptEventData, RunScriptFailedEventData } from './types';
export interface SmokerEvents {
    SmokeBegin: void;
    SmokeOk: void;
    SmokeFailed: SmokerError;
    PackBegin: void;
    PackFailed: SmokerError;
    PackOk: PackOkEventData;
    InstallBegin: InstallEventData;
    InstallFailed: SmokerError;
    InstallOk: InstallEventData;
    RunScriptsBegin: RunScriptsBeginEventData;
    RunScriptsFailed: RunScriptsFailedEventData;
    RunScriptsOk: RunScriptsOkEventData;
    RunScriptBegin: RunScriptEventData;
    RunScriptFailed: RunScriptFailedEventData;
    RunScriptOk: RunScriptEventData;
    Lingered: string[];
}
export declare const Events: {
    readonly SMOKE_BEGIN: "SmokeBegin";
    readonly SMOKE_OK: "SmokeOk";
    readonly SMOKE_FAILED: "SmokeFailed";
    readonly PACK_BEGIN: "PackBegin";
    readonly PACK_FAILED: "PackFailed";
    readonly PACK_OK: "PackOk";
    readonly INSTALL_BEGIN: "InstallBegin";
    readonly INSTALL_FAILED: "InstallFailed";
    readonly INSTALL_OK: "InstallOk";
    readonly RUN_SCRIPTS_BEGIN: "RunScriptsBegin";
    readonly RUN_SCRIPTS_FAILED: "RunScriptsFailed";
    readonly RUN_SCRIPTS_OK: "RunScriptsOk";
    readonly RUN_SCRIPT_BEGIN: "RunScriptBegin";
    readonly RUN_SCRIPT_FAILED: "RunScriptFailed";
    readonly RUN_SCRIPT_OK: "RunScriptOk";
    readonly LINGERED: "Lingered";
};
//# sourceMappingURL=events.d.ts.map